define(['./module', 'jquery', 'back'], function (directives, jQuery) {
    'use strict';
    directives.directive('backstretch', ["$timeout", function ($timeout) {
        
        var linker = function (scope, element, attrs) {           
            
            
            $timeout(function(){

                $.backstretch([
                  "assets/pages/media/bg/1.jpg",
                  "assets/pages/media/bg/2.jpg",
                  "assets/pages/media/bg/3.jpg",
                  "assets/pages/media/bg/4.jpg"
                  ], {
                    fade: 1000,
                    duration: 7000
                });                

            });
                       

        };//End of linker

        return {
        	restrict: 'AE',            
            link: linker
        };
    }]);	

});
