define(['./module', 'jquery'], function (directives, jQuery) {
    'use strict';

    directives.directive('compareTo', ["$rootScope", function ($rootScope) {        
        
        return {
        	//restrict: 'AE',            
            require: "ngModel",

            scope: {

              register_rpassword: "=compareTo"

            },

            link: function(scope, element, attributes, modelVal) {

              modelVal.$validators.compareTo = function(val) {

                return val == scope.register_rpassword;

              };


              scope.$watch("register_rpassword", function() {

                modelVal.$validate();

              });

            }
        };

    }]);	

});
