define(['./module', 'jquery', 'back'], function (directives, jQuery) {
    'use strict';

    directives.directive('hidebackground', ["$rootScope", "$timeout", "properties", function ($rootScope, $timeout, properties) {        
        
        return {
          restrict: 'A',
          link: function (scope, elem) {
              
              $timeout(function() {

                if(($rootScope.currenturl != 'login') || $rootScope.currenturl != 'dashboard'){ 

                    var x = properties.getBackground();
                    
                    if(x){
                      $.backstretch("destroy", false);
                      properties.setBackground(false);
                    }          
                    
                }

              });
          }
        }; 

    }]);	

});
