/**
 * bootstraps angular onto the window.document node
 */
define([
    'require',    
    'angular',
    'app',
    'routes'
], function (require, ng) {
    'use strict';

    //After the DOM is ready, start the app
    require(['domReady!'], function (document) {
        
        try {
	        // Wrap this call to try/catch
	        ng.bootstrap(document, ['survey']);
        }catch (e) {
	        console.error(e.stack || e.message || e);
	    }
    });
});