  -- phpMyAdmin SQL Dump
  -- version 4.0.10deb1
  -- http://www.phpmyadmin.net
  --
  -- Host: localhost
  -- Generation Time: Dec 19, 2014 at 03:21 PM
  -- Server version: 5.5.40-0ubuntu0.14.04.1
  -- PHP Version: 5.5.9-1ubuntu4.5

  SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
  SET time_zone = "+00:00";


  /*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
  /*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
  /*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
  /*!40101 SET NAMES utf8 */;

  --
  -- Database: survey
  --
  SET FOREIGN_KEY_CHECKS=0;

  DROP TABLE IF EXISTS survey,companies;

  -- --------------------------------------------------------

  --
  -- Table structure for table survey
  --

  CREATE TABLE IF NOT EXISTS survey (
    id int(255) NOT NULL AUTO_INCREMENT,
    company_id int(255) NOT NULL,
    question_one varchar(255) NOT NULL,
    question_two varchar(255) NOT NULL,
    question_three varchar(255) NOT NULL,
    question_four varchar(255) NOT NULL,
    quality_of_our_proposals tinyint(1) DEFAULT 0,
    costs tinyint(1) DEFAULT 0,
    project_execution tinyint(1) DEFAULT 0,
    communication tinyint(1) DEFAULT 0,
    creativity_and_innovation tinyint(1) DEFAULT 0,
    customer_support tinyint(1) DEFAULT 0,
    created_on datetime DEFAULT CURRENT_TIMESTAMP,
    modified_on datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
    PRIMARY KEY (id),
    KEY company_refs (company_id)  
  ) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;




   --
  -- Table structure for table companies
  --

  CREATE TABLE IF NOT EXISTS companies (
    id int(255) NOT NULL AUTO_INCREMENT,
    company_name varchar(255) NOT NULL,
    email_address varchar(255) NOT NULL, 
    industry varchar(255) NOT NULL,
    take_survey tinyint(1) DEFAULT 0,
    created_on datetime DEFAULT CURRENT_TIMESTAMP,
    modified_on datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
    PRIMARY KEY (id)
  ) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;


  
    
  --
  -- Triggers survey
  --
  DROP TRIGGER IF EXISTS survey_insert;
  DELIMITER //
  CREATE TRIGGER survey_insert BEFORE INSERT ON survey
   FOR EACH ROW BEGIN
          -- Set the creation date
      SET new.created_on = now();

          -- Set the udpate date
      Set new.modified_on = now();
  END
  //
  DELIMITER ;
  DROP TRIGGER IF EXISTS survey_update;
  DELIMITER //
  CREATE TRIGGER survey_update BEFORE UPDATE ON survey
   FOR EACH ROW BEGIN
          -- Set the udpate date
      Set new.modified_on = now();
  END
  //
  DELIMITER ; 

  
    
  --
  -- Triggers companies
  --
  DROP TRIGGER IF EXISTS companies_insert;
  DELIMITER //
  CREATE TRIGGER companies_insert BEFORE INSERT ON companies
   FOR EACH ROW BEGIN
          -- Set the creation date
      SET new.created_on = now();

          -- Set the udpate date
      Set new.modified_on = now();
  END
  //
  DELIMITER ;
  DROP TRIGGER IF EXISTS companies_update;
  DELIMITER //
  CREATE TRIGGER companies_update BEFORE UPDATE ON companies
   FOR EACH ROW BEGIN
          -- Set the udpate date
      Set new.modified_on = now();
  END
  //
  DELIMITER ;

  
  -- INSERT SOME DATA TO THE COMAPNIES TABLE
INSERT INTO companies (id, company_name, industry, email_address, take_survey) VALUES
(1, 'Ace Media LTD', 'Media / News Company', 'test@test.com', 0),
(2, 'Allan Mackenzie', 'Photography', 'test@test.com', 0),
(3, 'Alpha Green Communications LTD', 'Telecommunications', 'test@test.com', 0),
(4, 'Apex Steel', 'Manufacturing', 'test@test.com', 0),
(5, 'Azalea Holdings Limited', 'Investment Offices', 'test@test.com', 0),
(6, 'Barclays Bank of Kenya Limited', 'Finance', 'test@test.com', 0),
(7, 'Bavaria Auto LTD', 'Motor', 'test@test.com', 0),
(8, 'Billy', 'Personal', 'test@test.com', 0),
(9, 'Bleep Africa Limited', 'Marketing and Advertising', 'test@test.com', 0),
(10, 'Bob Ogonda', 'Personal', 'test@test.com', 0),
(11, 'Cadbury Kenya LTD', 'Manufacturing', 'test@test.com', 0),
(12, 'Capital FM', 'Media / News Company', 'test@test.com', 0),
(13, 'Captivate Africa', 'Agency', 'test@test.com', 0),
(14, 'Carol (The hub)', 'Printing', 'test@test.com', 0),
(15, 'Centre Stage', 'Agency', 'test@test.com', 0),
(16, 'CHOCHOTE MARKETING GROUP', 'Marketing', 'test@test.com', 0),
(17, 'Commercial Bank of Africa', 'Finance', 'test@test.com', 0),
(18, 'Diamond Media', 'Media', 'test@test.com', 0),
(19, 'Emerald Touch Ltd', 'Marketing and Events Firm', 'test@test.com', 0),
(20, 'Events Africa Limited', 'Events', 'test@test.com', 0),
(21, 'Events Corner 4 Kids', 'Agency', 'test@test.com', 0),
(22, 'Exact Experience', 'Agency', 'test@test.com', 0),
(23, 'EXP Momentum', 'Agency', 'test@test.com', 0),
(24, 'Frontier Marketing', 'Agency', 'test@test.com', 0),
(25, 'General Motors E.A Limited', 'AutoMobile', 'test@test.com', 0),
(26, 'Homeboyz Entertainment LTD', 'Agency', 'test@test.com', 0),
(27, 'Imprimatur Company Ltd', 'Events', 'test@test.com', 0),
(28, 'Infinite Planners', 'Events', 'test@test.com', 0),
(29, 'John Gray Communications LTD', 'Communications', 'test@test.com', 0),
(30, 'Mosound', 'Entertainment', 'test@test.com', 0),
(31, 'Motion Image & Sound LTD', 'Media', 'test@test.com', 0),
(32, 'Mt. Kenya Foundation', 'NGO', 'test@test.com', 0),
(33, 'Neo Marketing', 'Agency', 'test@test.com', 0),
(34, 'Pillar Audio LTD', 'Media', 'test@test.com', 0),
(35, 'Pritten', 'Logistics', 'test@test.com', 0),
(36, 'Projector Solutions', 'Media', 'test@test.com', 0),
(37, 'Purple Tulips Limited', 'Events', 'test@test.com', 0),
(38, 'Raphael Okinda(True Events)', 'Events', 'test@test.com', 0),
(39, 'Redwood Capital', 'Finance', 'test@test.com', 0),
(40, 'Renee Nanji', 'Media', 'test@test.com', 0),
(41, 'Revolution Solutions LTD', 'Communication', 'test@test.com', 0),
(42, 'Ruma Events', 'Events', 'test@test.com', 0),
(43, 'S. C. Johnson & Son (K) Ltd', 'FMCG', 'test@test.com', 0),
(44, 'Sensory Marketing', 'Marketing', 'test@test.com', 0),
(45, 'Spark Communications', 'PR Technology Industy', 'test@test.com', 0),
(46, 'Stretch Out Events Limited', 'Entertainment', 'test@test.com', 0),
(47, 'Sultan Palace', 'Real Estate', 'test@test.com', 0),
(48, 'The Events Management Company LTD', 'Events', 'test@test.com', 0),
(49, 'The Hub - Karen', 'Facility', 'test@test.com', 0),
(50, 'The Standard Group', 'Media', 'test@test.com', 0),
(51, 'Thika Motor Dealers (K) LTD', 'Motors', 'test@test.com', 0),
(52, 'Trey Digital', 'Digital Marketing', 'test@test.com', 0),
(53, 'Wananchi Group', 'Entertainment', 'test@test.com', 0),
(54, 'Waridi Events', 'Events', 'test@test.com', 0),
(55, 'iZone Africa', 'Marketing', 'wkungu@gmail.com', 1);

  --
-- Constraints for table survey
--
ALTER TABLE survey
  ADD CONSTRAINT company_refs FOREIGN KEY (company_id) REFERENCES companies (id) ON DELETE CASCADE;
  
 
  SET FOREIGN_KEY_CHECKS=1;