define(['./module'], function (filters) {
    'use strict';

    return filters.filter('keywordfilter', function () {
        
    	return function (items, letter) {

		    var filtered = [];

		    var new_letter = angular.lowercase(letter);

		    var letterMatch = new RegExp(new_letter);
		    
		    angular.forEach(items, function(item) {		      
		      	  
			      var item_name = angular.lowercase(item.name);			      

			      if (letterMatch.test(item_name)) {
			        filtered.push(item);
			      }

		    });

		    /*if(filtered.length === 0){
		    	return items;
		    	//return items.sort(function(a){return a.paid});
		    }else{
		    	return filtered;
		    	//return filtered.sort(function(a){return a.paid});
		    }*/

		    return filtered;
		    
		};

    });	
    
});
